>From ba142f628b6261437611fceea54a79315f9c8a09 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Mon, 15 Aug 2011 11:57:07 +0300
Subject: [carFl mem 08/21] Remove verify_flash, fix verify_range

verify_flash won't be supported here, so remove it.
verify_range is being used by one jedec write function, so statically
allocate the required buffer chunk. Maybe later try to pass already
allocated buffer with globals struct?

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 flashrom.c |   21 +--------------------
 1 files changed, 1 insertions(+), 20 deletions(-)

diff --git a/flashrom.c b/flashrom.c
index c522c84..18f3021 100644
--- a/flashrom.c
+++ b/flashrom.c
@@ -752,7 +752,7 @@ int verify_range(struct flashchip *flash, uint8_t *cmpbuf, int start, int len,
 		 const char *message)
 {
 	int i, ret = 0, failcount = 0;
-	uint8_t *readbuf = malloc(len);
+	uint8_t readbuf[BUF_SIZE];
 
 	if (!len)
 		goto out_free;
@@ -761,10 +761,6 @@ int verify_range(struct flashchip *flash, uint8_t *cmpbuf, int start, int len,
 		msg_cerr("ERROR: flashrom has no read function for this flash chip.\n");
 		return 1;
 	}
-	if (!readbuf) {
-		msg_gerr("Could not allocate memory!\n");
-		exit(1);
-	}
 
 	if (start + len > flash->total_size * 1024) {
 		msg_gerr("Error: %s called with start 0x%x + len 0x%x >"
@@ -800,7 +796,6 @@ int verify_range(struct flashchip *flash, uint8_t *cmpbuf, int start, int len,
 	}
 
 out_free:
-	free(readbuf);
 	return ret;
 }
 
@@ -1214,20 +1209,6 @@ notfound:
 	return flash - flashchips;
 }
 
-int verify_flash(struct flashchip *flash, uint8_t *buf)
-{
-	int ret;
-	int total_size = flash->total_size * 1024;
-
-	msg_cinfo("Verifying flash... ");
-
-	ret = verify_range(flash, buf, 0, total_size, NULL);
-
-	if (!ret)
-		msg_cinfo("VERIFIED.          \n");
-
-	return ret;
-}
 
 int read_buf_from_file(unsigned char *buf, unsigned long size,
 		       const char *filename)
-- 
1.7.6

